<template>


<div class="settings-wrap">
		<!-- user dashboard settings	 -->
		 <div class="cg-user-form-wrap" v-if="user_.is_user">
             <form  @submit.prevent="formSubmitUser" id="form_user" enctype="multipart/form-data">
             <div class="cg-form-container font1 cg-border-top">
                 <div class="row d-flex">
                            <div class="col-md-4">
                                <label class="pad-top-none " for="first_name">First Name</label>
                                <input type="text" id="first_name"  v-model="first_name" v-bind:class="{ cg_error_class: this.validation_errors.first_name }"/>
                                <span v-if="this.validation_errors.first_name" class="text-danger"> {{this.validation_errors.first_name[0] }}</span>
                            </div>
                            <div class="col-md-4">
                                <label class="pad-top-none " for="last_name">Last Name</label>
                                <input type="text" id="last_name"  v-model="last_name" v-bind:class="{ cg_error_class: this.validation_errors.last_name }"/>
                                <span v-if="this.validation_errors.last_name" class="text-danger"> {{this.validation_errors.last_name[0] }}</span>
                            </div>
                     <div class="col-md-4">
                         <label class="pad-top-none " for="contact_email">Contact Email</label>
                         <input type="email" id="contact_email"  v-model="contact_email" v-bind:class="{ cg_error_class: this.validation_errors.contact_email }" :data-toggle="!!contact_email_check ? 'tooltip' : false" :title="!!contact_email_check ? 'To change this contact support' : false"  :data-placement="!!contact_email_check ? 'top' : false" :readonly="!!contact_email_check ? true : false"/>
                         <span v-if="this.validation_errors.contact_email" class="text-danger"> {{this.validation_errors.contact_email[0] }}</span>
                     </div>
                        </div>

                 <div class="row d-flex">
                     <div class="col-md-4">
                         <label class="pad-top-none " for="address_line_1">Address Line 1</label>
                         <input type="text" id="address_line_1"  v-model="address_line_1" v-bind:class="{ cg_error_class: this.validation_errors.address_line_1 }"/>
                         <span v-if="this.validation_errors.address_line_1" class="text-danger"> {{this.validation_errors.address_line_1[0] }}</span>
                     </div>
                     <div class="col-md-4">
                         <label class="pad-top-none " for="address_line_2">Address Line 2</label>
                         <input type="text" id="address_line_2"  v-model="address_line_2" v-bind:class="{ cg_error_class: this.validation_errors.address_line_2 }"/>
                         <span v-if="this.validation_errors.address_line_2" class="text-danger"> {{this.validation_errors.address_line_2[0] }}</span>
                     </div>
                     <div class="col-md-4">
                         <label class="pad-top-none " for="city">City / District</label>
                         <input type="text" id="city"  v-model="city" v-bind:class="{ cg_error_class: this.validation_errors.city }"/>
                         <span v-if="this.validation_errors.city" class="text-danger"> {{this.validation_errors.city[0] }}</span>
                     </div>
                 </div>

                        <div class="row d-flex">

                            <div class="col-md-4">
                                <label class="pad-top-none " for="state">State</label>
                                <input type="text" id="state"  v-model="state" v-bind:class="{ cg_error_class: this.validation_errors.state }"/>
                                <span v-if="this.validation_errors.state" class="text-danger"> {{this.validation_errors.state[0] }}</span>
                            </div>
                            <div class="col-md-4">
                                <label class="pad-top-none " for="country_user">Country</label>
                                <select id="country_user" name="country" v-model="country"  class="w500 f13"  v-bind:class="{ cg_error_class: validation_errors.country }">
                                    <option value="" selected>Country</option>
                                    <option  v-for="country in countries_" :value="country.country_code" class="grey">{{country.country_name}}</option>
                                </select>

                                <span v-if="this.validation_errors.country" class="text-danger"> {{this.validation_errors.country[0] }}</span>
                            </div>
                            <div class="col-md-4">
                                <label class="pad-top-none" for="zip_code">Zip Code</label>
                                <input type="text" id="zip_code"  v-model="zip_code" v-bind:class="{ cg_error_class: this.validation_errors.zip_code }"/>
                                <span v-if="this.validation_errors.zip_code" class="text-danger"> {{this.validation_errors.zip_code[0] }}</span>
                            </div>
                        </div>
                        <!-- <label for="message">Message</label><textarea name="message" id="message" cols="30" rows="10"></textarea><br /> -->
                    </div>
                    <div class="d-flex justify-content-center">
                        <input type="submit" value="Save Settings" name="submit" id="submit" />
                    </div>
                </form>
            </div>


            <!-- seller dashboard settings	 -->

            <div class="cg-user-form-wrap" v-if="user_.is_author">
                <form  @submit.prevent="formSubmitAuthor" id="form_author" enctype="multipart/form-data">
                    <div class="cg-form-container font1 cg-border-top">
                        <div class="row d-flex">
                            <div class="col-md-6">
                                <label class="pad-top-none" for="store_name">Store Name</label>
                                <input type="text" id="store_name"  v-model="store_name" v-bind:class="{ cg_error_class: this.validation_errors.store_name }"/>
                                <span v-if="this.validation_errors.store_name" class="text-danger"> {{this.validation_errors.store_name[0] }}</span>
                            </div>
                            <div class="col-md-6">
                                <label class="pad-top-none" for="website_author">Website</label>
                                <input type="text" id="website_author"  v-model="website_link" v-bind:class="{ cg_error_class: this.validation_errors.website_link }"/>
                                <span v-if="this.validation_errors.website_link" class="text-danger"> {{this.validation_errors.website_link[0] }}</span>
                            </div>
                        </div>
                        <div class="row d-flex cg-store-slug-row">
                            <div class="col-md-12">
                                <label class="pad-top-none" for="store_slug">Store Slug</label>
                                <input type="text" id="store_slug"  v-model="store_slug" v-bind:class="{ cg_error_class: this.validation_errors.store_slug }"/>
                                <span v-if="this.validation_errors.store_slug" class="text-danger"> {{this.validation_errors.store_slug[0] }}</span>
                            </div>

                        </div>
                        <div class="row d-flex">
                            <div class="col-md-4">
                                <label class="pad-top-none " for="contact_email_author">Contact Email</label>
                                <input type="email" id="contact_email_author" v-model="contact_email" v-bind:class="{ cg_error_class: this.validation_errors.contact_email }" :data-toggle="!!contact_email_check ? 'tooltip' : false" :title="!!contact_email_check ? 'To change this contact support' : false"  :data-placement="!!contact_email_check ? 'top' : false" :readonly="!!contact_email_check ? true : false" />
                                <span v-if="this.validation_errors.contact_email" class="text-danger"> {{this.validation_errors.contact_email[0] }}</span>
                            </div>
                            <div class="col-md-4">
                                <label for="cg-payout-type">Preferred Payout Provider <span class="mp-must-need">*</span> </label><br>
                                <select id="cg-payout-type"  v-model="payout_provider" class="w500 f13"  v-bind:class="{ cg_error_class: this.validation_errors.payout_provider }"  v-if="!payout_check" >
                                    <option value="">Select Payout</option>
                                    <option value="PayPal">PayPal</option>
                                </select>
                                <input type="email" id="payout_provider" v-model="payout_provider" v-bind:class="{ cg_error_class: this.validation_errors.payout_provider }" :data-toggle="!!payout_check ? 'tooltip' : false" :title="!!payout_check ? 'To change this contact support' : false"  :data-placement="!!payout_check ? 'top' : false" :readonly="!!payout_check ? true : false" v-if="payout_check"  />

                                <span v-if="this.validation_errors.payout_provider" class="text-danger"> {{this.validation_errors.payout_provider[0] }}</span>
                            </div>
                            <div class="col-md-4">
                                <label class="pad-top-none " for="contact_email_author">Payout Email</label>
                                <input type="email" id="payout_email_author"  v-model="payout_email" v-bind:class="{ cg_error_class: this.validation_errors.payout_email }" :data-toggle="!!payout_email_check ? 'tooltip' : false" :title="!!payout_email_check ? 'To change this contact support' : false"  :data-placement="!!payout_email_check ? 'top' : false" :readonly="!!payout_email_check ? true : false" />
                                <span v-if="this.validation_errors.payout_email" class="text-danger"> {{this.validation_errors.payout_email[0] }}</span>
                            </div>
                        </div>

                        <div class="cg-messege-type-box">
                            <label for="description">Store Description ({{ description_count }} Characters)</label>
                            <textarea name="description" data-toggle="tooltip" title="Required 250 Characters" data-placement="top" id="description" cols="30" rows="10" v-model="description"  @keyup="charCount()" v-bind:class="{ cg_error_class: this.validation_errors.description }"></textarea>
                            <br/>
                            <span v-if="this.validation_errors.description" class="text-danger"> {{this.validation_errors.description[0] }}</span>
                        </div>
                        <div class="row d-flex">
                            <div class="col-md-6">
                                <label class="pad-top-none " for="first_name_author">First Name</label>
                                <input type="text" id="first_name_author"  v-model="first_name" v-bind:class="{ cg_error_class: this.validation_errors.first_name }"/>
                                <span v-if="this.validation_errors.first_name" class="text-danger"> {{this.validation_errors.first_name[0] }}</span>
                            </div>
                            <div class="col-md-6">
                                <label class="pad-top-none " for="last_name_author">Last Name</label>
                                <input type="text" id="last_name_author"  v-model="last_name" v-bind:class="{ cg_error_class: this.validation_errors.last_name }"/>
                                <span v-if="this.validation_errors.last_name" class="text-danger"> {{this.validation_errors.last_name[0] }}</span>
                            </div>
                        </div>

                        <div class="row d-flex">
                            <div class="col-md-4">
                                <label class="pad-top-none " for="address_line_1_author">Address Line 1</label>
                                <input type="text" id="address_line_1_author"  v-model="address_line_1" v-bind:class="{ cg_error_class: this.validation_errors.address_line_1 }"/>
                                <span v-if="this.validation_errors.address_line_1" class="text-danger"> {{this.validation_errors.address_line_1[0] }}</span>
                            </div>
                            <div class="col-md-4">
                                <label class="pad-top-none " for="address_line_2_author">Address Line 2</label>
                                <input type="text" id="address_line_2_author"  v-model="address_line_2" v-bind:class="{ cg_error_class: this.validation_errors.address_line_2 }"/>
                                <span v-if="this.validation_errors.address_line_2" class="text-danger"> {{this.validation_errors.address_line_2[0] }}</span>
                            </div>
                            <div class="col-md-4">
                                <label class="pad-top-none " for="city_author">City / District</label>
                                <input type="text" id="city_author"  v-model="city" v-bind:class="{ cg_error_class: this.validation_errors.city }"/>
                                <span v-if="this.validation_errors.city" class="text-danger"> {{this.validation_errors.city[0] }}</span>
                            </div>
                        </div>
                        <div class="row d-flex">

                            <div class="col-md-4">
                                <label class="pad-top-none " for="state_author">State</label>
                                <input type="text" id="state_author"  v-model="state" v-bind:class="{ cg_error_class: this.validation_errors.state }"/>
                                <span v-if="this.validation_errors.state" class="text-danger"> {{this.validation_errors.state[0] }}</span>
                            </div>
                            <div class="col-md-4">
                                <label class="pad-top-none " for="country_author">Country</label>
                                <select id="country_author" name="country" v-model="country"  class="w500 f13"  v-bind:class="{ cg_error_class: validation_errors.country }">
                                    <option value="" selected>Country</option>
                                    <option  v-for="country in countries_" :value="country.country_code" class="grey">{{country.country_name}}</option>
                                </select>
                                <span v-if="this.validation_errors.country" class="text-danger"> {{this.validation_errors.country[0] }}</span>
                            </div>
                            <div class="col-md-4">
                                <label class="pad-top-none " for="zip_code_author">Zip Code</label>
                                <input type="text" id="zip_code_author"  v-model="zip_code" v-bind:class="{ cg_error_class: this.validation_errors.zip_code }"/>
                                <span v-if="this.validation_errors.zip_code" class="text-danger"> {{this.validation_errors.zip_code[0] }}</span>
                            </div>
                        </div>
                        <div class="row d-flex cg-user-dash-border">
                            <div class="col-md-6 cg-top-input">
                                <label class="pad-top-none " for="facebook">Facebook</label>
                                <input type="text" id="facebook"  v-model="facebook" v-bind:class="{ cg_error_class: this.validation_errors.facebook }"/>
                                <span v-if="this.validation_errors.facebook" class="text-danger"> {{this.validation_errors.facebook[0] }}</span>
                            </div>
                            <div class="col-md-6 cg-top-input">
                                <label class="pad-top-none " for="facebook">Instagram</label>
                                <input type="text" id="instagram"  v-model="instagram" v-bind:class="{ cg_error_class: this.validation_errors.instagram }"/>
                                <span v-if="this.validation_errors.instagram" class="text-danger"> {{this.validation_errors.instagram[0] }}</span>
                            </div>
                        </div>
                        <div class="row d-flex">
                            <div class="col-md-6 cg-top-input">
                                <label class="pad-top-none " for="facebook">Twitter</label>
                                <input type="text" id="twitter"  v-model="twitter" v-bind:class="{ cg_error_class: this.validation_errors.twitter }"/>
                                <span v-if="this.validation_errors.twitter" class="text-danger"> {{this.validation_errors.twitter[0] }}</span>
                            </div>
                            <div class="col-md-6 cg-top-input">
                                <label class="pad-top-none " for="facebook">Youtube</label>
                                <input type="text" id="youtube"  v-model="youtube" v-bind:class="{ cg_error_class: this.validation_errors.youtube }"/>
                                <span v-if="this.validation_errors.youtube" class="text-danger"> {{this.validation_errors.youtube[0] }}</span>
                            </div>

                        </div>
                        <div class="row d-flex">
                            <div class="col-md-6 cg-top-input">
                                <label class="pad-top-none " for="pinterest">Pinterest</label>
                                <input type="text" id="pinterest"  v-model="pinterest" v-bind:class="{ cg_error_class: this.validation_errors.pinterest }"/>
                                <span v-if="this.validation_errors.pinterest" class="text-danger"> {{this.validation_errors.pinterest[0] }}</span>
                            </div>
                            <div class="col-md-6 cg-top-input">
                                <label class="pad-top-none " for="facebook">Behance</label>
                                <input type="text" id="whatsapp"  v-model="whatsapp" v-bind:class="{ cg_error_class: this.validation_errors.whatsapp }"/>
                                <span v-if="this.validation_errors.whatsapp" class="text-danger"> {{this.validation_errors.whatsapp[0] }}</span>
                            </div>

                        </div>
                    </div>
                    <div class="d-flex justify-content-center">
                        <input type="submit" value="Save Settings" name="submit" id="submit" />
                    </div>
                </form>
        </div>

    <div class="cg-toast-one" v-if="success_message">
        <ul class="d-flex justify-content-between">
            <li class="first"><p>{{ success_message }}</p></li>
            <li class="first"><a class="kill-toast fa fa-times" aria-hidden="true"></a></li>
        </ul>
    </div>

    <div class="cg-toast-one" v-if="error_message">
        <ul class="d-flex justify-content-between">
            <li class="first"><p>{{ error_message }}</p></li>
            <li class="first"><a class="kill-toast fa fa-times" aria-hidden="true"></a></li>
        </ul>
    </div>

    <!-- Modal starts here -->
    <div class="lic_pop_modal d-flex justify-content-center align-items-center text-center cg-password-pop-up">
        <div class="licence-pop-details flex-wrap d-flex justify-content-center align-items-center flex-column">
            <a class="preview-delete-button close-lic-modal" href="#"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-x"><line x1="18" y1="6" x2="6" y2="18"></line><line x1="6" y1="6" x2="18" y2="18"></line></svg></a>
            <h4>Change Password</h4>
            <form  @submit.prevent="formSubmitPassword" id="form_password" enctype="multipart/form-data">
            <div class="row cg-row-set-pass">
            <div class="col-md-12 cg-col-set-pass">
                <label class="pad-top-none " for="first_name_author">Old Password</label>
                <div class="cg-pass-field-wrap cg-change-pass-field-wrap">
                    <input type="password" id="old_password"  v-model="old_password" v-bind:class="{ cg_error_class: this.validation_errors.old_password }"/>
                    <a href="#" v-on:click="showPassword1()" class="cg-pass-field-wrap-eye"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-eye"><path d="M1 12s4-8 11-8 11 8 11 8-4 8-11 8-11-8-11-8z"></path><circle cx="12" cy="12" r="3"></circle></svg></a>
                </div>
                    <span v-if="this.validation_errors.old_password" class="text-danger"> {{this.validation_errors.old_password[0] }}</span>
            </div>
                <div class="col-md-12 cg-col-set-pass">
                    <label class="pad-top-none " for="first_name_author">New Password</label>
                    <input type="password" id="password"  v-model="password" v-bind:class="{ cg_error_class: this.validation_errors.password }"/>
                    <span v-if="this.validation_errors.password" class="text-danger"> {{this.validation_errors.password[0] }}</span>
                </div>
                <div class="col-md-12 cg-col-set-pass">
                    <label class="pad-top-none " for="confirm_password">Confirm Password</label>
                    <input type="password" id="confirm_password"  v-model="password_confirmation" v-bind:class="{ cg_error_class: this.validation_errors.password_confirmation }"/>
                    <span v-if="this.validation_errors.password_confirmation" class="text-danger"> {{this.validation_errors.password_confirmation[0] }}</span>
                </div>
        </div>
            <div class="d-flex justify-content-center">
                <input type="submit" class="cg-set-pass-btn" value="Change Password" name="submit" id="password_change" />
            </div>
            </form>

        </div>
    </div>
    <!-- Modal ends here -->

        </div>






</template>


<script>
    import Preloader from '../components/Preloader.vue'
    export default {
        props: ['user', 'message', 'countries'],
        data(){
            return{
                message_:this.message,
                countries_:JSON.parse(this.countries),
                user_ : JSON.parse(this.user),
                user_id: JSON.parse(this.user).id,
                first_name: JSON.parse(this.user).name,
                last_name: JSON.parse(this.user).user_profile.last_name,
                store_name: JSON.parse(this.user).user_profile.store_name,
                contact_email: JSON.parse(this.user).user_profile.contact_email,
                contact_email_check: JSON.parse(this.user).user_profile.contact_email,
                payout_provider: JSON.parse(this.user).user_profile.payout_type,
                payout_check: JSON.parse(this.user).user_profile.payout_type,
                payout_email: JSON.parse(this.user).user_profile.payout_email,
                payout_email_check: JSON.parse(this.user).user_profile.payout_email,
                city :JSON.parse(this.user).user_profile.city,
                address_line_1 :JSON.parse(this.user).user_profile.address_line_1,
                address_line_2 :JSON.parse(this.user).user_profile.address_line_2,
                zip_code :JSON.parse(this.user).user_profile.zip_code,
                state: JSON.parse(this.user).user_profile.state,
                country: JSON.parse(this.user).user_profile.country,
                website_link: JSON.parse(this.user).user_profile.website_link,
                facebook: JSON.parse(this.user).user_profile.facebook,
                instagram: JSON.parse(this.user).user_profile.instagram,
                twitter: JSON.parse(this.user).user_profile.twitter,
                youtube: JSON.parse(this.user).user_profile.youtube,
                whatsapp: JSON.parse(this.user).user_profile.whatsapp,
                pinterest: JSON.parse(this.user).user_profile.pinterest,
                description: JSON.parse(this.user).user_profile.description,
                store_slug: JSON.parse(this.user).user_profile.store_slug,
                description_count:0,
                old_password:"",
                password:"",
                password_confirmation:"",

                validation_errors:{},
                success_message:'',
                error_message:'',

            }

        },
        methods: {
        loadJs(url, callback) {
            jQuery.ajax({
              url: url,
              dataType: 'script',
              success: callback,
              async: true
            });
          },
            charCount: function(){
                this.description_count = this.description.length;
            },
            formSubmitUser(){

                let currentObj = this;
                currentObj.success_message='';
                currentObj.error_message='';

                const config = {
                    headers: {
                        'content-type':'application/json',
                        'Accept':'application/json'
                    }
                }

                let formData = new FormData();

                formData.append('user_id',  this.user_id);
                formData.append('first_name',  this.first_name);
                formData.append('last_name',  this.last_name);
                formData.append('contact_email',  this.contact_email);
                formData.append('city',  this.city);
                formData.append('address_line_1',  this.address_line_1);
                formData.append('address_line_2',  this.address_line_2);
                formData.append('zip_code',  this.zip_code);
                formData.append('state',  this.state);
                formData.append('country',  this.country);

                axios.post(this.user_.user_url +'/update_user_profile', formData, config).then((response)=>{

                    if(response.data.status == 'validation_error')
                    {
                        currentObj.validation_errors = response.data.errors
                       if(this.validation_errors.first_name)
                        {
                            document.getElementById('first_name').focus()
                        }
                        else if(this.validation_errors.last_name)
                        {
                            document.getElementById('last_name').focus()
                        }
                        else if(this.validation_errors.contact_email)
                        {
                            document.getElementById('contact_email').focus()
                        }
                        else if(this.validation_errors.city)
                        {
                            document.getElementById('city').focus()
                        }
                       else if(this.validation_errors.address_line_1)
                       {
                           document.getElementById('address_line_1').focus()
                       }
                       else if(this.validation_errors.address_line_2)
                       {
                           document.getElementById('address_line_2').focus()
                       }
                       else if(this.validation_errors.zip_code)
                       {
                           document.getElementById('zip_code').focus()
                       }
                        else if(this.validation_errors.state)
                        {
                            document.getElementById('state').focus()
                        }
                        else if(this.validation_errors.country)
                        {
                            document.getElementById('country_user').focus()
                        }

                        else
                        {
                            document.getElementById('first_name').focus()
                        }
                    }
                    else if(response.data.status == 'success')
                    {
                        if(response.data.previous_url)
                        {
                            location.href = response.data.previous_url;
                            currentObj.success_message = response.data.message
                        }
                        else
                        {
                            location.href = "/settings_message?user_id="+response.data.user_id+"&message="+response.data.message;
                            currentObj.success_message = response.data.message
                        }
                    }
                    else
                    {
                        currentObj.error_message = response.data.message
                    }


             this.loadJs('/javascripts/custom/toast.js', function() {
            //Stuff to do after someScript has loaded
                });


                })
            },
            formSubmitAuthor(){

                let currentObj = this;

                currentObj.success_message='';
                currentObj.error_message='';

                const config = {
                    headers: {
                        'content-type':'application/json',
                        'Accept':'application/json'
                    }
                }

                let formData = new FormData();

                formData.append('user_id',  this.user_id);
                formData.append('first_name',  this.first_name);
                formData.append('last_name',  this.last_name);
                formData.append('contact_email',  this.contact_email);
                formData.append('payout_provider',  this.payout_provider);
                formData.append('payout_email',  this.payout_email);
                formData.append('city',  this.city);
                formData.append('address_line_1',  this.address_line_1);
                formData.append('address_line_2',  this.address_line_2);
                formData.append('zip_code',  this.zip_code);
                formData.append('state',  this.state);
                formData.append('country',  this.country);
                formData.append('store_name',  this.store_name);
                formData.append('website_link',  this.website_link);
                formData.append('facebook',  this.facebook);
                formData.append('twitter',  this.twitter);
                formData.append('instagram',  this.instagram);
                formData.append('youtube',  this.youtube);
                formData.append('whatsapp',  this.whatsapp);
                formData.append('pinterest',  this.pinterest);
                formData.append('description',  this.description);
                formData.append('store_slug',  this.store_slug);


                axios.post(this.user_.user_url +'/update_author_profile', formData, config).then((response)=>{

                    if(response.data.status == 'validation_error')
                    {
                        currentObj.validation_errors = response.data.errors
                         if(this.validation_errors.store_name)
                        {
                            document.getElementById('store_name').focus()
                        }
                        else if(this.validation_errors.website_link)
                        {
                            document.getElementById('website_author').focus()
                        }

                        else if(this.validation_errors.contact_email)
                        {
                            document.getElementById('contact_email_author').focus()
                        }
                        else if(this.validation_errors.payout_provider)
                        {
                            document.getElementById('cg-payout-type').focus()
                        }
                        else if(this.validation_errors.payout_email)
                        {
                            document.getElementById('payout_email_author').focus()
                        }
                         else if(this.validation_errors.first_name)
                         {
                             document.getElementById('first_name_author').focus()
                         }
                         else if(this.validation_errors.last_name)
                         {
                             document.getElementById('last_name_author').focus()
                         }
                        else if(this.validation_errors.city)
                        {
                            document.getElementById('city_author').focus()
                        }
                         else if(this.validation_errors.address_line_1)
                         {
                             document.getElementById('address_line_1_author').focus()
                         }
                         else if(this.validation_errors.address_line_2)
                         {
                             document.getElementById('address_line_2_author').focus()
                         }
                         else if(this.validation_errors.zip_code)
                         {
                             document.getElementById('zip_code_author').focus()
                         }
                        else if(this.validation_errors.state)
                        {
                            document.getElementById('state_author').focus()
                        }
                         else if(this.validation_errors.country)
                         {
                             document.getElementById('country_author').focus()
                         }
                         else if(this.validation_errors.description)
                         {
                             document.getElementById('description').focus()
                         }
                         else if(this.validation_errors.facebook)
                         {
                             document.getElementById('facebook').focus()
                         }
                         else if(this.validation_errors.twitter)
                         {
                             document.getElementById('twitter').focus()
                         }
                         else if(this.validation_errors.instagram)
                         {
                             document.getElementById('instagram').focus()
                         }
                         else if(this.validation_errors.youtube)
                         {
                             document.getElementById('youtube').focus()
                         }
                         else if(this.validation_errors.whatsapp)
                         {
                             document.getElementById('whatsapp').focus()
                         }
                         else if(this.validation_errors.pinterest)
                         {
                             document.getElementById('pinterest').focus()
                         }
                         else if(this.validation_errors.store_slug)
                         {
                             document.getElementById('store_slug').focus()
                         }
                        else
                        {
                            document.getElementById('store_name').focus()
                        }
                    }
                    else if(response.data.status == 'success')
                    {
                        if(response.data.previous_url)
                        {
                            location.href = response.data.previous_url;
                            currentObj.success_message = response.data.message
                        }
                        else
                        {
                            location.href = "/settings_message?user_id="+response.data.user_id+"&message="+response.data.message;
                            currentObj.success_message = response.data.message
                        }
                    }
                    else
                    {
                        currentObj.error_message = response.data.message
                    }

             this.loadJs('/javascripts/custom/toast.js', function() {
            //Stuff to do after someScript has loaded
                });

                })
            },
            formSubmitPassword(){

                let currentObj = this;
                currentObj.success_message='';
                currentObj.error_message='';

                const config = {
                    headers: {
                        'content-type':'application/json',
                        'Accept':'application/json'
                    }
                }

                let formData = new FormData();

                formData.append('user_id',  this.user_id);
                formData.append('old_password',  this.old_password);
                formData.append('password',  this.password);
                formData.append('password_confirmation',  this.password_confirmation);

                axios.post(this.user_.user_url +'/update_password', formData, config).then((response)=>{

                    if(response.data.status == 'validation_error')
                    {
                        currentObj.validation_errors = response.data.errors
                        if(this.validation_errors.old_password)
                        {
                            document.getElementById('old_password').focus()
                        }
                        else if(this.validation_errors.password)
                        {
                            document.getElementById('password').focus()
                        }
                        else if(this.validation_errors.confirm_password)
                        {
                            document.getElementById('confirm_password').focus()
                        }
                        else
                        {
                            document.getElementById('old_password').focus()
                        }
                    }
                    else if(response.data.status == 'success')
                    {
                        // if(response.data.previous_url)
                        // {
                        //    // location.href = "/"+response.data.previous_url;
                        //     currentObj.success_message = response.data.message
                        // }
                        // else
                        // {
                        //   //  location.href = "/settings_message?user_id="+response.data.user_id+"&message="+response.data.message;
                        //     currentObj.success_message = response.data.message
                        // }
                        currentObj.success_message = response.data.message

                    }
                    else
                    {
                        currentObj.error_message = response.data.message
                    }


                    this.loadJs('/javascripts/custom/toast.js', function() {
                        //Stuff to do after someScript has loaded
                    });


                })
            },
           showPassword1() {
               var x = document.getElementById("old_password");
               var y = document.getElementById("password");
               var z = document.getElementById("confirm_password");
        if (x.type === "password" && y.type === "password" && z.type === "password") {
            x.type = "text";
            y.type = "text";
            z.type = "text";
        } else {
            x.type = "password";
            y.type = "password";
            z.type = "password";
        }
    },
    preLoad: function() {
                // just open
                const close = this.$preloaders.open({
                    container: ".settings-wrap",
                    component:Preloader,
                    "overlayStyle": {
                        "backgroundColor": "#fff",
                        "opacity": .9,
                    }
                });
                // and close. That's it.
                setTimeout(close, 1500);
            }

        },
        mounted(){
            this.preLoad();
            console.log(this.countries_)
           if(this.payout==null || this.payout == "null" || this.payout == "")  this.payout="";
           else  this.payout = JSON.parse(this.user).user_profile.payout_type;

            if(this.first_name == null || this.first_name == "null" || this.first_name == "") this.first_name="";
            if(this.last_name == null || this.last_name == "null" || this.last_name == "") this.last_name="";
            if(this.contact_email == null || this.contact_email == "null" || this.contact_email == "") this.contact_email="";
            if(this.payout_email == null || this.payout_email == "null" || this.payout_email == "") this.payout_email="";
            if(this.payout_provider == null || this.payout_provider == "null" || this.payout_provider == "") this.payout_provider="";
            if(this.city == null || this.city == "null" || this.city == "") this.city="";
            if(this.address_line_1 == null || this.address_line_1 == "null" || this.address_line_1 == "") this.address_line_1="";
            if(this.address_line_2 == null || this.address_line_2 == "null" || this.address_line_2 == "") this.address_line_2="";
            if(this.zip_code == null || this.zip_code == "null" || this.zip_code == "") this.zip_code="";
            if(this.state == null || this.state == "null" || this.state == "") this.state="";
            if(this.country == null || this.country == "null" || this.country == "") this.country="";
            if(this.store_name == null || this.store_name == "null" || this.store_name == "") this.store_name="";
            if(this.store_slug == null || this.store_slug == "null" || this.store_slug == "") this.store_slug="";
            if(this.website_link == null || this.website_link == "null" || this.website_link == "") this.website_link="";
            if(this.facebook == null || this.facebook == "null" || this.facebook == "") this.facebook="";
            if(this.twitter == null || this.twitter == "null" || this.twitter == "") this.twitter="";
            if(this.instagram == null || this.instagram == "null" || this.instagram == "") this.instagram="";
            if(this.youtube == null || this.youtube == "null" || this.youtube == "") this.youtube="";
            if(this.whatsapp == null || this.whatsapp == "null" || this.whatsapp == "") this.whatsapp="";
            if(this.pinterest == null || this.pinterest == "null" || this.pinterest == "") this.pinterest="";
            if(this.description == null || this.description == "null" || this.description == "") this.description_count=0; else this.description_count=this.description.length;
        }
    }

</script>
